
=====================================================================
 Functional change logs in NEO firmware releases
=====================================================================


**** v02.42.xx.42 (24/10/2024) *********************
-> Build 8.1
   * Fixed bug related to fake storm detection on NEO controller when it loses connection with several extension units at the same time.
   * Improved storm detection based on controller traffic looped back to the same unit.
   * Improved storm detection by reseting the CM2 failure counters at the opening of the backup port.
-> Build 7.1
   * Improved CM2 module monitorization.
   * Added capability to edit CM2 failure detection thresholds.
-> Build 6.1
   * Improved Cobranet module supervision. Extended info in logs pointing the reason of the reboot.
   * Disabled Ethernet switch resets when Cobranet module failures occurs.
-> Build 5.1
   * Improved VLAN distribution via Flexnet protocol. Now ACK response from extensions is required to avoid loosing link.
-> Build 4.1
   * Improved internal AC/DC power supervisor, enabling battery mode activation independently of the EPS contacts.
   * Improved frontal I2C communcations, avoiding problems when PTT mic is being periodically pressed in and out.
-> Build 3.1
   * Improved RTC device supervision, added clock not running detection.
   * Added new type of ACSI device for MPS8Z+.
-> Build 2.1
   * Improved internal I2C communcations, added new recovery and isolation mechanisms to prevent a faulty part could hang-up the whole device.
   * Improved power supply supervision by adding a new independent option to activate the internal AC/DC power monitor (apart from the NC/NO EPS inputs).
   * Improved device config save/restoration, better power-up config read.
   * Improved groups status refresh and zone handling on big systems (over 64 zones). Some bugs on this part have been resolved.
   * Solved bug on execution of the action "undo-changes" in event manager.
   * Bug resolved related to improper logging of date-time changes.
-> Build 1.1
   * New internal flash memory organization, extending lifetime and solving problems with damaged memories.
   * Improved external PA sources management (controlled from Sime software).
   * Fixed bug related to the deactivation of general ALERT system indicator.
   * Improved system error status refresh to the ACSI bus.
   * Added compatibility with revisions B1 and B2 of the internal Ethernet switch. Now revisions between B1 and B5 are all accepted.


**** v02.41.xx.41 (20/12/2022) *********************
-> Build 1.1
NEW FUNCTIONALITIES:
   * Added ACSIv2 identify capability.
   * Added 24h supervision mode for lines and amplifiers.
   * Now ACSI devices will have the same priority in their default plug-and-play configuration.
   * Added cobranet audio link supervision.
BUG FIXES:
   * Solved bug on ACSIv2 buttons processing.
   * Solved bug with VA actions to "all-zones" when some of them is in disarm state.
   * Solved bug related to general ECI input after VA manual action.
   * Solved bug related to message player disroute in VA.
   * Solved bug related to desactivation of backup branch in class-A line supervision.
   * Solved bug related to ACSIv2 slave link request.

-> Build 2.1
   * Build b2.1 solves a link problem with ACSIv2 devices from the previous b1.1 build.

-> Build 3.1
   * Fixed bug related to the deactivation of general ALERT system indicator.


**** v02.31.xx.31 (20/12/2022) ********************* 
-> Build 1.1 
   * Extended compatibility to include revision B3 of internal Ethernet switch chipset and improved fault detection.
   * Improved cobranet transmision priority.
   * Added new system fault with ethernet switch error.
   * Improved the ARP table: Extension up to 32 entries.
   * Improved behaviour of  "remote maintenance" mode on reboots.
   * Improved readability of RS485 ports.
   * Improved data synchronization when event manager is in idle status.
   * The VLAN configuration can be saved during a factory reset.
   * Internal configuration memory managment optimization.
   * Improved main-board A/D converter chip supervision.
   * Unified line supervision operation in PA and VA.
   * Activated the led vumeters for physical inputs of the 4500LE at the rear (although not hardware mounted).

BUG FIXES:
   * Fixed bug related to desactivation of backup branch in class-a line supervision.
   * Fixed bug in source routing from Sime software.
   * Fixed bug related to source 8 input volume.
   * Fixed bug related to Zone-Manager factory reset.
   * Fixed bug related to fake activation of the expander_3 error.
   

**** v02.40.xx.40 build 2.1 (17/08/2022) ********************* 

IMPORTANT NOTICE:

NEO firmware v02.40.xx.xx is not compatible with older configuration and devices will perform a factory-reset when updating the firmware.

NEW FUNCTIONALITIES:

   * Implemented ACSIv2 protocol. 
   * Implemented Groups on Zone Manager.
   * Improved VA-Core implementation by adding support for VAP1-DE devices.
   * Adapted ACSIv1 library to the new VA-Core functionalities.
   * Improved ACSI devices configuration (both v1 and v2 devices).
      - PA devices supervision capability.
      - Independent config flag for device supervision, separate from its installation.
      - Non-installed device discovery can now be disabled (this adds extra security by avoiding the plug-and-play functionality).
      - Device priority customization capability.
      - Better buttons customization with the new concept of groups, defined in Zone Manager.
   * Improved power supervision: added error detection on AC/DC power inputs (including DC-FUSE break).
   * Improved equalizers configuration. More filter types: Peaking, Low-shelf, Hi-shelf, Low Pass, High Pass, LP Butterworth, HP Butterworth, IIR Coeficient (only for outputs channels). 
   * Added delay matrix on NEO-extension devices (up to 144ms per device). 
   * Improved network access control. Added password request capability to prevent uncontrolled remote access on non-exclusive networks.
   * Added "All-Call PTT" functionality (selectable independently for PA and VA). 
   * Added new action in Event Manager to activate/deactivate external device faults. 
   * Improved GPIO control actions on Event Manager, greater flexibility of use. 
   * Improved battery power management (PA source protection mutes). 
   * Improved the ARP table: Extension up to 32 entries. 

MINOR CHANGES/BUG FIXES:

   * Changed line supervision frequency to 20KHz.
   * Internal configuration memory managment optimization. Improved save/load processes, better performance and lifetime.
   * Improved RTC functionality and time changes loging (>=30 sec).
   * Improved main-board A/D converter chip supervision. 
   * Fixed bug in source routing from Sime software. 
   * Fixed bug related to Zone-Manager factory reset. 
   * Improved internal DSP supervision and error detection.
   * Improved CIE inputs reading and error detection to prevent false activations in case of hardware malfunction. 
   * The VLAN configuration can be saved during a factory reset. 
   * Improved readability of RS485 ports.
   * Improved communication protocol between ETX and Frontal.
   * Improved behaviour of  "remote maintenance" mode on reboots.
   * Extended compatibility to include revision B3 of internal Ethernet switch chipset.
   * Other bug fixes.

SIGNIFICANT CHANGES IN THE FLOW OF VA OPERATION:

   * New zonal Silenced status: All VA sources are muted in the zone, VA actuators with lower priority are blocked (except for EMIC operation).
   * New zonal "Manual Control" status: All VA automatics operations (CIE, Events) are blocked in the zone. This status is activated automatically with any manual VA operation.
   * New zonal "Emic Ready" status: State previous to "Emic Talk" operation, PA and VA messages sources are muted and anothers EMICs operating in the zone are fired.
   * When stopping a VA operation(Emic talk, evac, alert), the zone remains in VA (With "Manual control" status if applicable).
   * EVAC and ALERT messages step on each other (Do not remain underlying as before).


**** v02.30.xx.31 build 1.1 (29/10/2021) ********************* 
   * Mejoras integración con software de control externo de megafonía (Sime)
      - Se evita el guardado automatizado de configuraciones hechas desde conexiones en modo "Sime". Esto elimina posibles problemas de durabilidad de las memorias internas del equipo (flash, eeprom, SD).
	  - Optimizado el logueo de los cambios de fecha/hora, evitando registrar cambios inferiores a 30 segundos para no saturar el log en sistemas conectados 24/7 con sincronizaciones muy frecuentes.
   * Mejoras visuales log FLT y diagnóstico de equipos:
      - Se mejora la visualización del log de fallos en pantalla, diferenciando fallos activos de los que ya se han resuelto.
      - Creadas nuevas categorías de fallo para concretar mejor el motivo de un fallo "System-Flt". Ahora se diferencia (Configuration, Config-Lost, VA Message Error, Memory HW Error, Hardware Error).
   * Mejoras ACSI:
      - Actualizado protocolo ACSI a v1.2 (es 100% compatible con los micrófonos actuales con versión v1.1 ACSI).
      - Corregido bug ejecución triggers ACSI y estados residuales del dispositivo ACSI.
   * Resolución bugs:
      - Corregido bug aplicación volumen VA zonal cuando está activo el mute de PA y ambos volúmenes son coincidentes (PA y VA).
      - Corregido bug del texto mostrado en el log DIS del frontal al eliminar el desarme de una zona.


**** v02.29.xx.30 build 0.1 (08/04/2021) *********************
   - Añadido funcionalidad para cambio Hardware de conversores de entrada.
   - Añadido parámetro ECI para activar/desactivar el modo de espera para enganchar los mensajes VA disparado por ECI.
   - Corregido bug con sincronización de eventos instalados.
   - Corregido bug con refresco de las fuentes controlada por eventos.
   - Corregido bug con valor de ajuste RTC.

**** v02.28.xx.30 build 4.1 (15/02/2021) *********************
   - Corregido bug con zonas que esperan engancharse a mensaje de evacuación disparado por ECI.

**** v02.28.xx.30 build 3.1 (30/11/2020) *********************
   - Corregido bug de no activación de tono en los canales de reserva con la supervisión de amplificador.
   - Añadido en supervisión de línea, modo clase-A, comprobación de las ramas de backup B de las líneas cuando se ha protegido una línea o rama.

**** v02.28.xx.30 build 2.1 (27/10/2020) *********************
   - Ampliado la funcionalidad  "Enable overrides with PA mics" para aplicar también el volumen PA (A hora "Enable overrides and VA-volumes with PA mics").
   - Cambiado la funcionalidad de mute: Se han independizados los mutes de zona y de salida.
   - Cambiado la funcionalidad de mute: No se aplica el mute de zona en VA.
   - Corregidos Bugs con gestor de eventos.
   - Corregido bugs de watchdog con reset de fabrica de extensión.
   - Corregido bugs de fallo resueltos en master y extensión.
   - Corregido bug de edición de fecha/hora desde el frontal.
   - Corregido bug de activación/desactivación masiva de volúmenes VA.
   - Añadido ajuste de oscilador RTC para mejorar desfase de hora.
   - Añadidos log en cambios de hora manual o automática.

**** v02.28.xx.30 build 1.0 (24/06/2020) *********************
   - Añadido protección frente a derivación de línea.
   - Añadido la desconmutación del ampli de reserva cuando una línea que se protege.
   - Añadido la comprobación de los niveles de tensión y corriente en el processo de calibración de línea.
   - Mejorado el procesado de medida inválida en supervisión de línea.
   - Corregido error de umbrales de los limitadores de salida, en funcción de los canales activos.
   - Corregido bug con volumen de salida prio>0.
   - Corregido bug con flags FLT a desestablecer un canal como reserva.
   - Añadido parámetro en preprocessador para incluir la interfaz de control integrada (para ahorro flash).

**** v02.28.xx.30 build 0.0 (03/04/2020) *********************
   - Se ha quitado la edición de eventos desde el firmware para ahorro memoria flash.
   - Añadidos modos de supervisión de línea por impedancia: A+B y CLASS_A.
   - Añadido la protección de línea por corto-circuito, con enciende del led 'PROT' del frontal.
   - Añadido en NEO master la posibilidad de cambiar la configuración de red de los extensiones desde DLL.
   - Añadido la posibilidad En NEO4500LE de rutear en salida un bundle cobranet que genera el mismo.
   - Añadidos nuevos errores que producen fallo de SYS_FLT.
   - Mejorado el sistema de refresco de fallo entre extensión y su master.
   - Añadido interfaz de control VA genérica.
   - Mejorado el factory_rest de zone manager para crear tantas zonas como hay salidas en el sistema.
   - Añadido volúmenes PA y VA para dispositivos ACSI.
   - Añadido campo con identificación del fabricante para personalización OEM.
   - Corregido el bug de actualización de firmware ACSI.
   - Corregido el bug de edición de fecha desde el frontal.

**** v02.27.xx.29 build 1.1 (17/09/2019) *********************
   - Cambiada forma conmutación relés de la ISL para evitar problemas.
   - Añadida notificación CSUM faltante en ficheros pregrabados.
   - Eliminados mecanismos de retro-compatibilidad con sistema antiguo de asignación de EVAC/ALERT y sistema antiguo de información extendida de pregrabados.
   - Resuelto bug rutado en DSP al conmutar canales a reserva en NEOmaster.
   - Mejorada reproducción simultánea de dos mensajes para evitar glitches en el arranque del segundo (se producían solo a veces).
   - Optimizadas operaciones de guardado de parámetros a flash en el ADAU y el ZM que eran innecesarias.
****************************************************


**** v02.26.xx.28 build 9.7 (22/07/2019) *********************
   - Mejorado sistema control acceso SD del frontal para evitar problemas de conmutación del hardware.
****************************************************


**** v02.26.xx.28 build 9.6 (22/03/2019) *********************
   - Se optimiza el uso de la tarjeta SD para reducir el número de accesos.
   - Se cambia el funcionamiento del sistema de logs del equipo para tenerlo cacheado en RAM y reducir uso de la SD.
   - Se elimina el guardado del instante de última ejecución de un evento en el fichero de configuración en la SD.
   - Se mejora el funcionamiento del equipo para que la rotura/pérdida de la SD del ETX no resulte bloqueante y el sistema pueda arrancar y operar.
   - Se agregan nuevos errores que informan de la pérdida de las configuraciones que había en la SD cuando ésta no está operativa (eventos, gestor de zonas, etc.).
   - Se eliminan las retricciones del gestor de eventos respecto al uso las acciones y triggers en eventos VA.
****************************************************


**** v02.26.xx.28 build 8.6 (23/10/2018) *********************
   - Se mejora calibración de ganancia de amplificador para mejorar su supervisión.
   - Mejorada supervisión de líneas con EOL para evitar la generación de fallos por activaciones esporádicas del EOL debidas a la música.
   - Mejora mecanismo calibración ganancia amplificadores.
****************************************************


**** v02.26.xx.28 build 7.6 (18/09/2018) *********************
   - Añadida capacidad de utilizar direcciones broadcast de subred en las comunicaciones UDP y gestor de eventos.
   - Añadida configuración para usar broadcast de subred en Flexnet y acotar el tráfico en la isla.
   - Se corrige bug activación tono 19KHz con la medición de amplificadores sin línea supervisada.
****************************************************


**** v02.26.xx.28 build 6.6 (12/09/2018) *********************
   - Añadida mejora bloqueo comandos SET de la DLL cuando el equipo entra en VA. Esto corrige algunos bugs de funcionamiento con CAG desde Sime.
****************************************************


**** v02.26.xx.28 build 5.6 (7/09/2018) *********************
   - Implementada opción auto-reset del ECI.
   - Corregido bug rutado fuentes cobranet en VA a zonas con canales de master y extension.
   - Mejorado funcionamiento acciones "evac_zones", "alert_zones" y "emg_zones" del gestor de eventos para evitar que se deshagan sus cambios al usarlas en eventos con "undo_changes" desactivado.
   - Añadida compatibilidad con revisión B5 del switch ethernet de Micrel.
   - Corregido bug funcionamiento acciones con los GPIO12, 13 y 14.
   - Corregido funcionamiento acción "undo_changes" con los GPIO y Overrides.
   - Corregido bug reactivación triggers ECI_Zx cuando el sistema sale de EMG.
   - Corregido bug lanzamiento accidental evacuación desde ECI_Zx al arranque del sistema cuando ese Zx está en un trigger del gestor de eventos.
   - Corregido bug ejecución accidental eventos asociados a triggers ECI_Zx con lógica negativa (normalmente cerrado) durante el arranque del equipo.
   - Corregido bug refresco secuencias evacuación en el frontal al ejecutar un "events factory reset".
   - Corregido bug activación estado VA en las zonas con el PTT frontal con ding-dong activo.
   - Añadido comando notificación entrada en EMG del sistema (bajo suscripción de la DLL).
****************************************************

**** v02.26.xx.28 build 4.6 (27/07/2018) *********************
   - Mejora proceso de confirmación y reinicio del CM2 para tratar de resolver los problemas cobranet en los extensions.
****************************************************

**** v02.26.xx.28 build 3.6 (11/07/2018) *********************
   - Se corrige bug del build anterior con la configuración VLAN al conectar un master de una versión anterior con extensions de la nueva release.
****************************************************

**** v02.26.xx.28 build 2.6 (10/07/2018) *********************
   - Se mejoran los filtros que hay en el DSP para medición de línea. Se crea imagen DSPv09
   - Se corrige bug al establecer identificadores de VLAN superiores al 255 en un NEOmaster con extensions conectados.
   - Se corrige bug al cambiar la VLAN del master y la difusión a sus extensions.
   - Se mejora la función hmiPoke para confirmar la validez de los datos escritos en el CM2.
   - Se añaden ciclos de confirmación de la configuración de las fuentes cobranet en los NEO extensions para evitar problemas de mala configuración de los CM2.
   - Se modifican las impedancias máximas hardware que se pueden medir en cada modelo de equipo (ahora son 500 ohms para todos menos para el NEO4500LE que son 300).
****************************************************


**** v02.26.xx.28 build 1.6 (22/05/2018) *********************
   - Corregido bug reinicio accidental por watchdog en sistemas grandes de más de 90 zonas.
   - Se corrige bug relacionado con los tiempos de activación y desactivación de las salidas override tanto en NEOmaster como Extension.
   - Se corrige bug desactivación salidas override en NEOextensions tras 1 minuto de palabra con el modo "enable overrides with PA mics".
****************************************************


**** v02.25.xx.28 build 7.6 (24/04/2017) *********************
   - Añadido doble reproductor de mensajes pregrabados.
   - Se incluye nueva librería FAT para la tarjeta SD del frontal que mejora el funcionamiento y resuelve problemas anteriores.
   - Implementado el doble volumen PA/VA para zonas y fuentes del sistema con habilitación independiente por cada elemento.
   - Eliminado discover flexnet automático en el arranque.
   - Mejorado discover flexnet añadiendo la resolución de conflictos con asignación automática de direcciones IP.
   - Añadidos nuevos modelos de NEO extension (NEO8250E, NEO4250E, NEO4500E, NEO4500LE)
   - Implementado el uso de metadatos en los ficheros wav para almacenar la info extendida y el checksum de sus muestras de audio.
   - Añadido icono LOOP en la pantalla de reproducción de mensajes.
   - Añadido nuevos botones IDENTIFY y UNLINK para los NEO Extensions en la pantalla de SystemID del frontal.
   - Implementado SOFT_RESET desde el frontal del equipo al hacer RST dos veces seguidas.
   - Implementada pantalla OEM.
   - Mejora comunicaciones I2C con el frontal.
   - Implementado el modo privado de transmisión de las fuentes cobranet (esto significa que no saldrán por la boca X).
   - Deshabilitado completamente log PA por falta de memoria flash.
   - Modificado sistema selección pregrabados EVAC y ALERT, ahora se escogerán entre la lista de pregrabados disponibles sin crear una copia dedicada.
   - Ampliadas las acciones VA disponibles del gestor de eventos, ahora hay acciones para evacuar, alertar o poner en EMG una zona.
   - Ampliado el trigger tipo evento, ahora se puede elegir que se active cuando el evento empieza, finaliza, está activo o inactivo.
   - Mejorado mecanismo conmutación a la boca de backup de la conexión flexnet.
   - Mejora comunicaciones RS485 con el bus ACSI.
   - Mejorada imagen DSP para evitar chasquidos con la activación del tono de prueba.
   - Implementado formateo de ambas tarjetas SD (como herramienta para depuración y resolución de problemas).
   - Mejorado sistema prioridades de acceso en el frontal, con recuerdo del login actual.
   - Implementado modo "mantenimiento remoto" para bloquear el frontal del equipo mientras se están subiendo ficheros pregrabados (el led PA parpadeará durante este modo).
   - Implementado borrado múltiple de ficheros pregrabados.
   - Corregido bug actualización firmware desde ficheros bundle provocado por watchdog.
   - Implementada conmutación a reserva de los NEO Extensions.
   - Añadido control manual de la ISL para depuración de fallos y chequeo de los equipos.
   - Añadida capacidad detección modelo ISL en NEO4250E-L.
   - Creada imagen DSP de 4 canales con limitadores dobes  (lentos y rápidos).
   - Añadida detección de errores locales de los VAP.
   - Mejora trigger puerta de ruido que ahora utiliza una configuración especial en el vúmetro de la entrada.
   - Habilitación de uso de bundles unicast en las fuentes cobranet.
   - Modificado comportamiento leds EMG, ahora no hay parpadeos.
   - Eliminado el estado de pre-asignación del rutado de PTT del frontal.
   - Acortados los tiempos de bloqueo del interfaz ECI por reseteo de la emergencia.
   - Modificado sistema gestión fuentes VA, creando distintos slots para los micrófonos y pregrabados EVAC y ALERT.
   - Implementado nuevo funcionamiento ECI con silenciado de las emergencias que haya lanzado.
   - Añadadida opción ECO automático de los comandos UDP recibidos en el gestor de eventos.
   - Añadida nueva opción para activar los overrides con los micrófonos de PA.
   - Creada nueva distinción entre eventos VA y secuencias de evacuación (solo estas últimas se mostrarán en el frontal).
****************************************************



**** v02.24.xx.27 (17/08/2016) *********************
   - Esta revisión sólo añade un cambio en el frontal del equipo que corrige un bug con la reproducción en loop de los mensajes pregrabados, que se oía un chasquido cuando éstos contenían metadatos en el fichero WAV.
****************************************************


**** v02.24.xx.26 (21/06/2016) *********************
   - Esta revisión sólo añade un cambio en el frontal del equipo que corrige un bug con la edición de la fecha/hora desde la pantalla frontal.
****************************************************



**** v02.24.xx.25 (28/04/2016) *********************
  - Implementado auto-test de los puertos RS485 haciendo un loop de uno a otro cableándolo externamente.
   - Mejorado funcionamiento de puertos RS485 tanto VA como PA.
   - Implementado el rutado de los micrófonos VAP a la salida RECOut de grabación. Esto implica que ahora no podrán hablar el PTT y el VAP simultáneamente.
   - Eliminada la edición de la información extendida del gestor de zonas, este trabajo ahora se realizará en el PC por parte de la DLL que le enviará el fichero a NEO.
   - Mejorado proceso de desvinculación de equipos flexnet, permitiendo desvincular múltiples equipos si retardos en la operación.
   - Implementada la deshabilitación de las fuentes PA cuando se trabaja en modo baterías, seleccionable por el usuario.
   - Añadida la opción para realizar un discover flexnet en un rango acotado de direcciones IP.
   - Añadida capacidad para añadir equipos flexnet desde el PC sin necesidad de hacer discover, indicando su IP y modelo.
   - Implementado el bloqueo de un equipo flexnet cuando su código de modelo no coincide con el que tenemos instalado en la tabla de dispositivos.
   - Implementada la importación y exportación de la configuración actual flexnet del NEO_Master.
   - Implementada la visualización en el PC del estado de los 6 pines de entrada del EPS (para depuración).
   - Añadida utilidad ETX_Comm_Tool que permite ver el estado del switch ethernet y personalizar su configuración para hacer pruebas de red. La configuración aplicada se perderá al reiniciar el equipo.
   - Habilitados los triggers tipo "System Status" para lanzamiento de eventos de VA.
   - Mejorado mecanismo de reseteo del frontal ante fallos I2C Intercom. Ahora se incluye una reinicialización de la tarjeta SD ya que se ha visto que en ocasiones es la causante del cuelgue del PIC32 y con sólo resetear el PIC no era suficiente.
   - Añadidos triggers ACSI_VA para lanzamiento de eventos desde micrófonos VAP.
   - Corregidos varios bugs de sincronización de información entre NEO_Master y NEO_Extension que hacían que el estado de emergencia de las zonas no se refrescara correctamente.
   - Corregido bug del gestor de eventos que hacía que cuando un evento interrumpe a otro evento, si iba a reproducir el mismo mensaje que ya estaba en reproducción lo cogía por la posición en la que fuese la reproducción actual, sin reiniciarlo.
   - Corregido problema con la restauración del volumen de una fuente cobranet cuando se reiniciaba el CM2 por algún motivo.
   - Ampliados los umbrales de detección de fallo del CM2 para evitar falsas detecciones cuando había cambios en el conductor de la red.
   - Añadido comando de notificación a la DLL de que se ha recibido un fichero de actualización de firmware correctamente, y que su CRC es correcto.
   - Añadido control de las fuentes cobranet desde los VCC64.
   - Corregido problema con la aplicación del volumen de las zonas desde el gestor de eventos al estar en EMG.
****************************************************







**** v02.23.xx.25 (28/03/2016) *********************
 - ACTIVADA OPTIMIZACIÓN DE CÓDIGO POR PROBLEMAS DE ESPACIO EN MEMORIA FLASH.
   - Corregido problema desconexiones dispositivos flexnet en instalaciones con más de 8 equipos.
   - Añadido monitor de enlace flexnet para depuración de problemas de red.
   - Añadida comprobación integridad de la actualización de firmware para el ETX para prevenir problemas con el bootloader de uTasker.
   - Mejorado sistema quick-notification para agilizar el envío de comandos de NEO_Master a NEO_extensions.
   - Mejorado mecanismo detección storm en el anillo. Notificación a los dispositivos NEO_Extension para que ellos también reinicien su CM2 en caso de no haberlo detectado por sí mismos.
   - Añadido sistema para evitar repetir la ejecución de un mismo comando de la DLL.
   - Añadida respuesta ACK a los comandos SET de la DLL antes de ser ejecutados.
   - Mejorado sistema de comunicaciones con Sime añadiendo login de Sime en NEO y añadiendo un refresco automático de los datos del sistema después de la ejecución de un comando SET.
   - Añadido comando GET para que Sime pueda leer sólo la información que necesita y no tenga que actualizar todas las tablas de parámetros.
   - Desarrollados comandos de rutado múltiple.
   - Añadida desactivación automática del mute de una zona cuando Sime establece su volumen.
   - Eliminado el funcionamiento de las fuentes SIME en EMG del sistema NEO.
   - Corregido bug eventos VA al lanzar mensajes de evacuación/alerta de forma secuencial a diferentes conjuntos de zonas.
   - Mejorado mecanismo gestión expansores del sistema, con una tarea para su monitorización periódica y con varios reintentos en el arranque.
   - Añadido nuevo parámetro de configuración para indicar si la boca X desconecta los datos al entrar en EMG.
   - Modificados los umbrales de los limitadores en la gestión dinámica de potencia para el modelo NEO4120E (que comercialmente se llama NEO4250E-L)
   - Añadida comprobación integridad fichero actualización de firmware para el ETX para evitar problemas con el bootloader de uTasker.
****************************************************




**** v02.02.xx.21 (28/01/2016) *********************
   - Desarrollado nuevo tipo de dispositivo (NEO4120E) que en realidad es un NEO8120E modificado para trabajar sólo con 4 canales. Comercialmente su nombre será NEO4250EL.
   - Desarrollada funcionalidad de NEO_extension de 4 canales, deshabilitando supervisiones y uso de canales eliminados.
   - Compatibilizado el sistema con la existencia de NEO_extensions de 4 y 8 canales.
   - Eliminado bug bloqueo eventos que quieren modificar volumen de una zona con una fuente Sime.
****************************************************





**** v02.02.xx.21 (28/01/2016) *********************

- Corregido tiempo de detección desconexión entre NEO_Master y los NEO_Extension.

****************************************************




**** v02.01.xx.21 (23/12/2015) *********************

- Corregido bug en el modo 00 del switch con el audio en la boca X.
- Añadido modo test de audio a NEO_Master y NEO_Extension.
- Añadidos modos de prueba de los override, las salidas de estado y los leds del equipo tanto NEOm como NEOe..
- Añadido factory-reset de los NEO_Extension desde la pantalla del NEO_Master.
- Añadido cambio de la IP de los NEO_Extension desde la pantalla del NEO_Master.
- Implementada la desconexión opcional del audio en la boca X al entrar en EMG.
- Añadida difusión de las VLAN que usa el master a los extension.
- Habilitación automática del broadcast de fuentes del master al tener NEO_Extension conectados.
- Selección de la entrada ECI general que estará activa en el sistema  (sólo 1 en todo el sistema).
- Implementado lanzamiento de emergencias (generales y zonales) desde los ECI de los NEO_Extension.
- Corregido bug guardado y restauración fuentes ocultas de Sime.
- Corregido bug medición tiempo transcurrido.
- Añadidos nuevos triggers según estado de sistema (PA, VA, FLT y DIS).
- Modificada la tolerancia por defecto de la medición de impedancia (15%)
- Implementado el funcionamiento de la entrada PRIO de los NEO_Extension.
- Definido un volumen de la entrada PRIO y un volumen para cada salida local cuando el NEOe entra en prio.
- Corregido bug medición diferencia de tiempo entre dos timestamps.
- Creado nuevo tipo de trigger ECI para poder abarcar todos los ECI que puede haber en nuestro sistema (hasta 8*1024)
- Eliminadas funciones de acceso directo a los drivers del ADAU en NEO_Master por falta de espacio en FLASH.
- Corregido bug en el rutado al expulsar evento desde fuente ACSI.
- Implementada visualización de los vúmetros de todo el sistema y lectura desde la DLL.
- Implementada la importación de configuración Flexnet en los NEO_Master.
- Añadido contador de reintentos de discover flexnet al arranque del equipo (hasta 3 automáticos).
- Implementada función para establecer el volumen de múltiples zonas con un único comando.
- Añadida notificación de un reset reciente del equipo a la DLL.
- Modificados los umbrales L0, L1 y L2 de los limitadores en el gestor dinámico de potencia.
- Corregido bug al borrar fuente cobranet mientras hay fuentes Sime en uso.
- Añadido control overrides remotos desde el gestor de eventos.
- Implementado nuevo sistema de numeración de versiones de NEO para usar el tercer campo como código de dispositivo. Hasta ahora (00=NEO_Master_Standalone, 01=NEO_Master_Flexnet, 02=NEO_Extension)

****************************************************



**** v01.21.00.24 (12/11/2015) *********************

- Eliminado protocolo TCP y HTTP. Ya no hay web para actualización de firmware.
- Eliminada la necesidad de reiniciar el ETX cuando se detecta una nueva dirección MAC.
- Añadido parpadeo LED del ETX para informar de que el firmware está en ejecución.
- Añadidas fuentes 'ocultas' para que las pueda utilizar SIME.
- Añadido parámetro de la versión de la instalación para que SIME pueda detectar alteraciones en la configuración.
- Añadido flag que indica si el equipo está bajo control de algún SIME.
- Añadida integración con Sime, nuevas funciones de rutado y nuevo sistema de prioridades.
- Añadida mejora inicialización tarjetas SD para arranque de tarjetas uSD HC-I
- Corregido bug en el control del volumen de las fuentes desde el gestor de eventos.
- Añadido el control de las fuentes cobranet al gestor de eventos.
- Modificada configuración del switch ethernet, añadida boca B como redundante en modos 01, 10 y 11.
- Añadida detección fallo link del switch ethernet con el MCU.
- Modificada la pantalla de calibración para usar 4 puntos y detectar posibles problemas de calibración.
- Añadida información en el frontal del rutado de una fuente de SIME como "remote".

****************************************************



**** v01.20.00.23 (28/08/2015) *********************

- Añadidas fuentes cobranet al sistema.
- Implementada la monitorización y control de los niveles de audio de las fuentes cobranet.
- Mejorada imagen DSP para añadir mejores filtros, y nuevos compresores en las fuentes del sistema.
- Activado por defecto el compresor del micrófono Ptt del frontal.
- Integrado protocolo "Discover LDA" para descubrimiento y configuración dispositivos en red.
- Añadida protección de pantalla mediante atenuación de la iluminación configurable por usuario.
- Implementada la medición de la fuente AC y cálculo de la potencia consumida.
- Mejorado el mecanismo de medición de línea.
- Implementada la calibración automática y manual de la impedancia de la línea.
- Modificado el vúmetro que se visualiza de las fuentes del equipo para mostrar el efecto del preprocesado de audio aplicado.

****************************************************







**** v01.19.00.22 (25/06/2015) *********************

- Mejorado arranque del frontal del equipo.

****************************************************






**** v01.19.00.21 (15/06/2015) *********************

- Activado el watchdog del Coldfire.
- Mejorada secuencia arranque del equipo.
- Integrada imagen DSP v05 que incorpora los cambios en limitadores y varias configuraciones.
- Añadido ding-dong al micrófono Ptt frontal, configurable para modo PA y VA.
- Identificador numérico independiente para secuencias de evacuación.
- Corregido bug en la medición de las señales "DC_ON" de las entradas de 24V.
- Añadida acción "desactivar override" al gestor de eventos.
- Integrado el puerto serie de VA en el gestor de eventos (tanto como trigger como para acciones).
- Implementada selección configuración puertos 485 de PA y VA.
- Integrados los dispositivos VCC64 con comportamiento plug&play (y configurables desde la aplicación).
- Añadida función "factory reset" que devuelve el equipo al estado de fábrica.
- Modificado comportamiento "preset default" para que solo restaure las configuraciones de audio del gestor de zonas.
- Añadida medición de línea y test de ganancia a los canales de amplificación.
- Corregido bug con estado de sobretemperatura de alguno de los amplificadores.
- Implementada capacidad para deshabilitar la supervisión del micrófono frontal Ptt del NEO.
- Añadida la opción de deshablitar el beep del equipo.

****************************************************






**** v01.18.00.20 (06/05/2015) *********************

- Corregido bug borrado pregrabados.
- Mejorada supervisión fallo línea I2C (fallo intercom).
- Loudness activo por defecto en canales de salida.
- Añadida capacidad de actualización de firmware para dispositivos ACSI.
- Añadida activación automática de las salidas override con las EMG de cada zona excepto cuando el pin Override esté bajo control de algún evento.
- Corregido bug en la medición de las señales "DC_ON" de las entradas de 24V.
- Mejorada supervisión ficheros ALERT o EVAC. Añadido fallo de sistema cuando falte alguno.
- Reparado bug en la gestión de la descripción de archivos pregrabados.
- Mejorada gestión tarjeta SD frontal.
- Corregido nivel de audio de entrada del mensaje pregrabado para equilibrarlo con el resto de fuentes.
- Integrado funcionamiento micrófono VAP como fuente de emergencia de sistema con prioridad sobre pregrabados.
- Compatibilidad función recall de micrófonos MPS.
- Implementada la opción de habilitar/deshabilitar los micrófonos PA en VA.

****************************************************




